
_main:

;LCD.c,19 :: 		void main() {
;LCD.c,20 :: 		OSCCON = 0b01110000; //8MHz
	MOVLW       112
	MOVWF       OSCCON+0 
;LCD.c,21 :: 		PLLEN_bit = 1; //Enable PLL (48MHz now)
	BSF         PLLEN_bit+0, BitPos(PLLEN_bit+0) 
;LCD.c,22 :: 		ANCON0 = 0b11111111; //All digital
	MOVLW       255
	MOVWF       ANCON0+0 
;LCD.c,23 :: 		ANCON1 = 0b00011111; //All digital
	MOVLW       31
	MOVWF       ANCON1+0 
;LCD.c,25 :: 		LCD_BL_Direction = 0;
	BCF         TRISA5_bit+0, BitPos(TRISA5_bit+0) 
;LCD.c,26 :: 		LCD_BL = 1;
	BSF         LATA5_bit+0, BitPos(LATA5_bit+0) 
;LCD.c,27 :: 		Lcd_Init();                     // Initialize Lcd
	CALL        _Lcd_Init+0, 0
;LCD.c,28 :: 		Lcd_Cmd(_LCD_CLEAR);            // Clear display
	MOVLW       1
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;LCD.c,29 :: 		Lcd_Cmd(_LCD_CURSOR_OFF);       // Cursor off
	MOVLW       12
	MOVWF       FARG_Lcd_Cmd_out_char+0 
	CALL        _Lcd_Cmd+0, 0
;LCD.c,30 :: 		Lcd_Out(1,1,"    SimPLCv2    ");              // Write text in first row
	MOVLW       1
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr1_LCD+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr1_LCD+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;LCD.c,31 :: 		Lcd_Out(2,1,"www.dizzy.co.za ");              // Write text in second row
	MOVLW       2
	MOVWF       FARG_Lcd_Out_row+0 
	MOVLW       1
	MOVWF       FARG_Lcd_Out_column+0 
	MOVLW       ?lstr2_LCD+0
	MOVWF       FARG_Lcd_Out_text+0 
	MOVLW       hi_addr(?lstr2_LCD+0)
	MOVWF       FARG_Lcd_Out_text+1 
	CALL        _Lcd_Out+0, 0
;LCD.c,32 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
